Bug 125880 - FORMATTING: Clear Direct Formatting removes Hyperlink
Summary: FORMATTING: Clear Direct Formatting removes Hyperlink
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-12 11:57 UTC by Frank Winklmeier
Modified: 2019-11-09 13:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Winklmeier 2019-06-12 11:57:23 UTC
When using "Clear Direct Formatting" on selected text within a text box that contains a hyperlink, the hyperlink is lost even if the hyperlink was not part of the selection.

To reproduce:
- Open new Impress document
- Create a text box (F2)
- Enter some text, e.g. "My link to http://www.google.com"
- On hitting Return the URL should be auto-formatted to a hyperlink
- Select e.g. "My link"
- Click "Clear Direct Formatting" (Shift+Ctrl+M)

The auto-formatted hyperlink disappears even though it was not part of the selection. Note that other formats (e.g. if part of the non-selected text was bold) are maintained. So this bug is specific to hyperlinks.

Build:
Version: 6.2.4.2
Build ID: 1:6.2.4-0ubuntu0.18.04.1~lo1
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-06-12 14:55:48 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 31944b14c3e998a37a0bb3dff300f4460c322183
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 2 Samuel Mehrbrodt (CIB) 2019-08-12 08:55:43 UTC
This should be fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?id=533dec5a3ddaff7ec176609edcff2cde4464747a , can you please retest with a recent master build?
Comment 3 Timur 2019-11-09 13:32:55 UTC
No repro 6.4+ master. I close as Fixed